package com.example.myapp;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.Window;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.media.MediaPlayer;
import android.content.res.AssetFileDescriptor;

import java.io.IOException;

@SuppressLint({"SetJavaScriptEnabled","AddJavascriptInterface"})
public class MainActivity extends Activity {

    @android.webkit.JavascriptInterface
    public void ExitApp(){
        System.exit(0);
    }

    @android.webkit.JavascriptInterface
    public MediaPlayer loadsound(String soundname){
        try{
            AssetFileDescriptor afd = getAssets().openFd("www/"+soundname);
            MediaPlayer player = new MediaPlayer();
            player.setDataSource(afd.getFileDescriptor(),afd.getStartOffset(),afd.getLength());
            player.prepare();
            return player;
        }catch (IOException e){
            return null;
        }
    }

    @android.webkit.JavascriptInterface
    public void playsound(MediaPlayer player){
        player.setLooping(false);
        player.seekTo(0);
        player.start();
    }

    @android.webkit.JavascriptInterface
    public void loopsound(MediaPlayer player){
        player.setLooping(true);
        player.start();
    }

    @android.webkit.JavascriptInterface
    public void stopsound(MediaPlayer player){
        player.pause();
        player.seekTo(0);
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.activity_main);
        WebView webView = (WebView)findViewById(R.id.webView);
        webView.getSettings().setJavaScriptEnabled(true);
        webView.setWebChromeClient(new WebChromeClient());
        webView.setScrollBarStyle(WebView.SCROLLBARS_OUTSIDE_OVERLAY);
        webView.addJavascriptInterface(this, "webview");
        webView.loadUrl("file:///android_asset/www/index.html");
    }

    @Override
    public void onBackPressed(){
        ExitApp();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        menu.add(getString(R.string.btn_menu));

        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if(item.getTitle() == getString(R.string.btn_menu)){
            AlertDialog.Builder builder = new AlertDialog.Builder(this);
            builder.setMessage(getText(R.string.doc_about))
                    .setCancelable(true)
                    .setPositiveButton(getString(R.string.btn_box), new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            // do nothing, but I guess we have to implement this function anyways
                        }
                    });
            AlertDialog alert = builder.create();
            alert.show();
            return true;
        }else{
            return super.onOptionsItemSelected(item);
        }
    }
}